org.apache.flume.sink.elasticsearch

## Class ElasticSearchSinkConstants

- java.lang.Object
- - org.apache.flume.sink.elasticsearch.ElasticSearchSinkConstants

-     public class ElasticSearchSinkConstants
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `BATCH_SIZE` Maximum number of events the sink should take from the channel per transaction, if available.
    `static String` | `CLIENT_PREFIX` The client prefix to extract the configuration that will be passed to elasticsearch client.
    `static String` | `CLIENT_TYPE` The client type used for sending bulks to ElasticSearch
    `static String` | `CLUSTER_NAME` Name of the ElasticSearch cluster to connect to
    `static String` | `DEFAULT_CLIENT_TYPE`
    `static String` | `DEFAULT_CLUSTER_NAME`
    `static String` | `DEFAULT_INDEX_NAME`
    `static String` | `DEFAULT_INDEX_NAME_BUILDER_CLASS`
    `static String` | `DEFAULT_INDEX_TYPE`
    `static int` | `DEFAULT_PORT` DEFAULTS USED BY THE SINK
    `static String` | `DEFAULT_SERIALIZER_CLASS`
    `static int` | `DEFAULT_TTL`
    `static String` | `HOSTNAMES` Comma separated list of hostname:port, if the port is not present the default port '9300' will be used
    `static String` | `INDEX_NAME` The name to index the document to, defaults to 'flume'
    `static String` | `INDEX_NAME_BUILDER` The fully qualified class name of the index name builder the sink should use to determine name of index where the event should be sent.
    `static String` | `INDEX_NAME_BUILDER_PREFIX` The fully qualified class name of the index name builder the sink should use to determine name of index where the event should be sent.
    `static String` | `INDEX_TYPE` The type to index the document to, defaults to 'log'
    `static String` | `SERIALIZER` The fully qualified class name of the serializer the sink should use.
    `static String` | `SERIALIZER_PREFIX` Configuration to pass to the serializer.
    `static String` | `TTL` TTL in days, when set will cause the expired documents to be deleted automatically, if not set documents will never be automatically deleted
    `static String` | `TTL_REGEX`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ElasticSearchSinkConstants()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### HOSTNAMES

          public static final String HOSTNAMES

      Comma separated list of hostname:port, if the port is not present the default port '9300' will be used Example:

            127.0.0.1:92001,127.0.0.2:9300

      See Also:
        Constant Field Values

    - #### INDEX_NAME

          public static final String INDEX_NAME

      The name to index the document to, defaults to 'flume' The current date in the format 'yyyy-MM-dd' will be appended to this name, for example 'foo' will result in a daily index of 'foo-yyyy-MM-dd'
      See Also:
        Constant Field Values

    - #### INDEX_TYPE

          public static final String INDEX_TYPE

      The type to index the document to, defaults to 'log'
      See Also:
        Constant Field Values

    - #### CLUSTER_NAME

          public static final String CLUSTER_NAME

      Name of the ElasticSearch cluster to connect to
      See Also:
        Constant Field Values

    - #### BATCH_SIZE

          public static final String BATCH_SIZE

      Maximum number of events the sink should take from the channel per transaction, if available. Defaults to 100
      See Also:
        Constant Field Values

    - #### TTL

          public static final String TTL

      TTL in days, when set will cause the expired documents to be deleted automatically, if not set documents will never be automatically deleted
      See Also:
        Constant Field Values

    - #### SERIALIZER

          public static final String SERIALIZER

      The fully qualified class name of the serializer the sink should use.
      See Also:
        Constant Field Values

    - #### SERIALIZER_PREFIX

          public static final String SERIALIZER_PREFIX

      Configuration to pass to the serializer.
      See Also:
        Constant Field Values

    - #### INDEX_NAME_BUILDER

          public static final String INDEX_NAME_BUILDER

      The fully qualified class name of the index name builder the sink should use to determine name of index where the event should be sent.
      See Also:
        Constant Field Values

    - #### INDEX_NAME_BUILDER_PREFIX

          public static final String INDEX_NAME_BUILDER_PREFIX

      The fully qualified class name of the index name builder the sink should use to determine name of index where the event should be sent.
      See Also:
        Constant Field Values

    - #### CLIENT_TYPE

          public static final String CLIENT_TYPE

      The client type used for sending bulks to ElasticSearch
      See Also:
        Constant Field Values

    - #### CLIENT_PREFIX

          public static final String CLIENT_PREFIX

      The client prefix to extract the configuration that will be passed to elasticsearch client.
      See Also:
        Constant Field Values

    - #### DEFAULT_PORT

          public static final int DEFAULT_PORT

      DEFAULTS USED BY THE SINK
      See Also:
        Constant Field Values

    - #### DEFAULT_TTL

          public static final int DEFAULT_TTL

      See Also:
        Constant Field Values

    - #### DEFAULT_INDEX_NAME

          public static final String DEFAULT_INDEX_NAME

      See Also:
        Constant Field Values

    - #### DEFAULT_INDEX_TYPE

          public static final String DEFAULT_INDEX_TYPE

      See Also:
        Constant Field Values

    - #### DEFAULT_CLUSTER_NAME

          public static final String DEFAULT_CLUSTER_NAME

      See Also:
        Constant Field Values

    - #### DEFAULT_CLIENT_TYPE

          public static final String DEFAULT_CLIENT_TYPE

      See Also:
        Constant Field Values

    - #### TTL_REGEX

          public static final String TTL_REGEX

      See Also:
        Constant Field Values

    - #### DEFAULT_SERIALIZER_CLASS

          public static final String DEFAULT_SERIALIZER_CLASS

      See Also:
        Constant Field Values

    - #### DEFAULT_INDEX_NAME_BUILDER_CLASS

          public static final String DEFAULT_INDEX_NAME_BUILDER_CLASS

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ElasticSearchSinkConstants

          public ElasticSearchSinkConstants()

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.